<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableSites extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sites', function (Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('url');
			$table->string('devurl')->nullable();
			$table->string('name');
			$table->json('address')->nullable();
			$table->string('description')->nullable();
			$table->string('email');
			$table->string('phone')->nullable();
			$table->string('fax')->nullable();
			$table->string('logo')->nullable();
			$table->string('favicon')->nullable();
			$table->string('theme');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::dropIfExists('sites');
	}
}
